--
-- FastCouplerImplement
-- Specialization for lower fastcoupler while self is selected
--
-- @author  Stefan Maurus    
-- @date  2016-06-05

-- Copyright  Stefan Maurus, www.stefanmaurus.de

FastCouplerImplement = {};

function FastCouplerImplement.prerequisitesPresent(specializations)
    return true;
end;

function FastCouplerImplement:load(savegame)
end;

function FastCouplerImplement:delete()
end;

function FastCouplerImplement:mouseEvent(posX, posY, isDown, isUp, button)
end;

function FastCouplerImplement:keyEvent(unicode, sym, modifier, isDown)
end;

function FastCouplerImplement:update(dt)
    if self:getIsActiveForInput() then
        if InputBinding.hasEvent(InputBinding.LOWER_IMPLEMENT) then
            if self.attacherVehicle ~= nil then
                if self.attacherVehicle.attacherVehicle ~= nil then
                    local tractor = self.attacherVehicle.attacherVehicle;
                    for i, v in ipairs(tractor.attachedImplements) do
                        if v.object == self.attacherVehicle then
                            local jointDesc = tractor.attacherJoints[v.jointDescIndex];
                            tractor:setJointMoveDown(v.jointDescIndex, not jointDesc.moveDown, false);
                        end;
                    end;
                end;
            end;
        end;    
    end;
end;

function FastCouplerImplement:updateTick(dt)
end;
 
function FastCouplerImplement:draw()
end;